# Method: creativeFields.insert

- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFields/insert#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFields/insert#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFields/insert#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFields/insert#body.response_body)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFields/insert#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFields/insert#try-it)

Inserts a new creative field.

### HTTP request

`POST https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/creativeFields`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |

### Request body

The request body contains an instance of `https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFields#CreativeField`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFields#CreativeField`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`